Class | Bio::DDBJ::REST::Mafft
In: | lib/bio/io/ddbjrest.rb
Parent: | WABItemplate

### Description

DDBJ (DNA DataBank of Japan) web service of MAFFT multiple sequence alignment software. See below for details and examples.

- xml.nig.ac.jp/wabi/Method?serviceName=Mafft&mode=methodList&lang=en

### Methods

analyzeParam analyzeParamAsync analyzeSimple analyzeSimpleAsync

### Public Instance methods

analyzeParam(query, param)

see xml.nig.ac.jp/wabi/Method?&lang=en&serviceName=Mafft&methodName=analyzeParam&mode=methodDetail

[Source]

         # File lib/bio/io/ddbjrest.rb, line 272
    272:       def analyzeParam(query, param); end

analyzeParamAsync(query, param)

see xml.nig.ac.jp/wabi/Method?&lang=en&serviceName=Mafft&methodName=analyzeParamAsync&mode=methodDetail

[Source]

         # File lib/bio/io/ddbjrest.rb, line 276
    276:       def analyzeParamAsync(query, param); end

analyzeSimple(query)

see xml.nig.ac.jp/wabi/Method?&lang=en&serviceName=Mafft&methodName=analyzeSimple&mode=methodDetail

[Source]

         # File lib/bio/io/ddbjrest.rb, line 280
    280:       def analyzeSimple(query); end

analyzeSimpleAsync(query)

see xml.nig.ac.jp/wabi/Method?&lang=en&serviceName=Mafft&methodName=analyzeSimpleAsync&mode=methodDetail

[Source]

         # File lib/bio/io/ddbjrest.rb, line 284
    284:       def analyzeSimpleAsync(query); end

[Validate]